// SpinEditCtrlView.h : interface of the CSpinEditCtrlView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SPINEDITCTRLVIEW_H__F895297E_02A4_45B8_AF5B_6B412ED5EF42__INCLUDED_)
#define AFX_SPINEDITCTRLVIEW_H__F895297E_02A4_45B8_AF5B_6B412ED5EF42__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSpinEdit;

class CSpinEditCtrlView: public CView
{
protected: // create from serialization only
	CSpinEditCtrlView();
	DECLARE_DYNCREATE(CSpinEditCtrlView)

// Attributes
public:
	CSpinEditCtrlDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSpinEditCtrlView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSpinEditCtrlView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CSpinEdit* m_pSpinEdit;

// Generated message map functions
protected:
	//{{AFX_MSG(CSpinEditCtrlView)
	afx_msg void OnSpinDynamic();
	afx_msg void OnSpinDlg();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SpinEditCtrlView.cpp
inline CSpinEditCtrlDoc* CSpinEditCtrlView::GetDocument()
   { return (CSpinEditCtrlDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPINEDITCTRLVIEW_H__F895297E_02A4_45B8_AF5B_6B412ED5EF42__INCLUDED_)
